%global pypi_name sphinx-press-theme

Name:           python-%{pypi_name}
Version:        0.5.1
Release:        2%{?dist}
Summary:        A Sphinx-doc theme based on Vuepress

License:        MIT
URL:            %{pypi_source}
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/sphinx_press_theme-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A modern responsive theme for python's Sphinx documentation generator.
See it in action on Press Theme own website.
This theme is based on VuePress.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A modern responsive theme for python's Sphinx documentation generator.
See it in action on Press Theme own website.
This theme is based on VuePress.


%prep
%autosetup -n sphinx_press_theme-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/sphinx_press_theme
%{python3_sitelib}/sphinx_press_theme-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Mar 19 2020 José Matos <jamatos@fedoraproject.org> - 0.5.1-2
- Small cleanups: replace source with canonical name.
- Removed extraneous formating from description.
- Removed the Requires since they are autogenerated for python packages.

* Thu Mar 19 2020 José Abílio Matos <jamatos@fedoraproject.org> - 0.5.1-1
- Initial package.
